unit U_MLHZGL;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, DB, ADODB, Menus;

type
  TfrmMLHZGL = class(TForm)
    Panel1: TPanel;
    adoquery1: TADOQuery;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormDestroy(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMLHZGL: TfrmMLHZGL;

implementation
uses
  U_DataLink,U_Fun10,U_BPZdy_SH, U_BPZdy_HXK,U_ZDYHelp,U_BPZdy_LRYH,U_MLMange_XH
  ,U_BPZdy_LRTJ,U_BPZdy_LRGX,U_BPZdy_LRXH,U_MLMangeTJ,U_MLMangeRS,U_MLMangeYH,U_ZHCPList;
{$R *.dfm}

procedure TfrmMLHZGL.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
  Action:=caFree;
end;

procedure TfrmMLHZGL.FormDestroy(Sender: TObject);
begin
  frmMLHZGL:=nil;
end;

procedure TfrmMLHZGL.Button1Click(Sender: TObject);
begin
  frmMLMangeRS:= TfrmMLMangeRS.Create(application.MainForm);
  with frmMLMangeRS do
  begin
    if ShowModal=1 then
    begin

    end;
    free;
  end;
end;

procedure TfrmMLHZGL.Button3Click(Sender: TObject);
begin
  frmMLMangeYH:= TfrmMLMangeYH.Create(application.MainForm);
   with frmMLMangeYH do
   begin
     if ShowModal=1 then
     begin

     end;
     free;
   end;
end;

procedure TfrmMLHZGL.Button2Click(Sender: TObject);
begin
   frmMLMangeTJ:= TfrmMLMangeTJ.Create(application.MainForm);
   with frmMLMangeTJ do
   begin
     if ShowModal=1 then
     begin

     end;
     free;
   end;
end;

procedure TfrmMLHZGL.Button4Click(Sender: TObject);
begin
  frmZHCPList:=TfrmZHCPList.Create(Application);
  with frmZHCPList do
  begin
    if ShowModal=1 then
    begin

    end;
    Free;
  end;
end;

procedure TfrmMLHZGL.Button5Click(Sender: TObject);
begin
  frmMLMange_XH:= TfrmMLMange_XH.Create(application.MainForm);
   with frmMLMange_XH do
   begin
     if ShowModal=1 then
     begin

     end;
     free;
   end;
end;

end.
